#pragma once

namespace ui
{
    namespace menu
    {
        void init();
        void show();
        void setexitcallback(void(*callback)(void));
        const int addsubmenu(const char *label);
        void addoption(int menu, const char *label, int(*callback)(int));
        void addbooloption(int menu, const char *label, bool default_value, int(*callback)(int));
        void addseparator(int menu);
    }
}